<?php

namespace YottaPayIntegration\Payments\Block\Adminhtml\Config;

/**
 * Custom date renderer for Yotta Pay config
 */
class Date extends \Magento\Config\Block\System\Config\Form\Field
{
    /**
     * @var \YottaPayIntegration\Payments\Model\Common
     */
    protected $_common;

    /**
     * @param \Magento\Backend\Block\Template\Context $context
     * @param \YottaPayIntegration\Payments\Model\Common $common
     * @param array $data
     */
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \YottaPayIntegration\Payments\Model\Common $common,
        array $data = []
    ) {
        $this->_common = $common;
        parent::__construct($context, $data);
    }

    /**
     * Render element
     *
     * @param \Magento\Framework\Data\Form\Element\AbstractElement $element
     * @return string
     */
    public function render(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        $userToken = $this->_common->getUserToken();

        if (!empty($userToken) || $this->_common->usedOldApiKeys())
        {
            $element->setDateFormat(\Magento\Framework\Stdlib\DateTime::DATE_INTERNAL_FORMAT);
            $element->setTimeFormat(null);
            return parent::render($element);
        }
        else
        {
            return '<tr style="display: none;" id="row_' . $element->getHtmlId() . '"></tr>';
        }
    }
}
