<?php

namespace YottaPayIntegration\Payments\Block\Adminhtml\Config;

/**
 * Custom renderer for Yotta Pay config
 */
class GuidelineLink extends \Magento\Config\Block\System\Config\Form\Field
{
    /**
     * @var string
     */
    protected $_template = 'YottaPayIntegration_Payments::config/guideline_link.phtml';

    /**
     * @var \YottaPayIntegration\Payments\Model\Common
     */
    protected $_common;

    /**
     * @param \Magento\Backend\Block\Template\Context $context
     * @param \YottaPayIntegration\Payments\Model\Common $common
     * @param array $data
     */
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \YottaPayIntegration\Payments\Model\Common $common,
        array $data = []
    ) {
        $this->_common = $common;

        parent::__construct($context, $data);
    }

    /**
     * Render element
     *
     * @param \Magento\Framework\Data\Form\Element\AbstractElement $element
     * @return string
     */
    public function render(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        $userToken = $this->_common->getUserToken();

        if (!empty($userToken) || $this->_common->usedOldApiKeys())
        {
            return parent::render($element);
        }
        else
        {
            return '<tr style="display: none;" id="row_' . $element->getHtmlId() . '"></tr>';
        }
    }

    /**
     * Get element html
     *
     * @param \Magento\Framework\Data\Form\Element\AbstractElement $element
     * @return string
     */
    protected function _getElementHtml(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        return $this->_toHtml();
    }
}
