<?php

namespace YottaPayIntegration\Payments\Model\Api\Cancellation;

use \Magento\Framework\Model\AbstractModel;
use \YottaPayIntegration\Payments\Api\Cancellation\Data\VerificationResultInterface;

/**
 * Process payment cancellation result
 *
 * @api
 */
class VerificationResultData extends AbstractModel implements VerificationResultInterface
{
    const KEY_NAME = 'cancellation_result';

    /**
     * @param \Magento\Framework\Model\Context $context
     * @param \Magento\Framework\Registry $registry
     * @param \Magento\Framework\Model\ResourceModel\AbstractResource $resource
     * @param \Magento\Framework\Data\Collection\AbstractDb $resourceCollection
     * @param array $data
     */
    public function __construct(
        \Magento\Framework\Model\Context $context,
        \Magento\Framework\Registry $registry,
        \Magento\Framework\Model\ResourceModel\AbstractResource $resource = null,
        \Magento\Framework\Data\Collection\AbstractDb $resourceCollection = null,
        array $data = []
    ) {
        parent::__construct($context, $registry, $resource, $resourceCollection, $data);
    }

    /**
     * Get result
     *
     * @return bool
     */
    public function getResult()
    {
        return $this->_getData(self::KEY_NAME);
    }

    /**
     * Set result
     *
     * @param bool $result
     * @return $this
     */
    public function setResult($result)
    {
        return $this->setData(self::KEY_NAME, $result);
    }
}
