<?php

namespace YottaPayIntegration\Payments\Model\Config\Source;

/**
 * Checkout Description Type select option field
 */
class CheckoutDescriptionType implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var \Psr\Log\LoggerInterface
     */
    protected $_logger;

    /**
     * @var \YottaPayIntegration\Payments\Model\Common
     */
    protected $_common;

    /**
     * @param \Psr\Log\LoggerInterface $logger
     * @param \YottaPayIntegration\Payments\Model\Common $common
     */
    public function __construct(
        \Psr\Log\LoggerInterface $logger,
        \YottaPayIntegration\Payments\Model\Common $common)
    {
        $this->_logger = $logger;
        $this->_common = $common;
    }

    /**
     * Retrieve options array
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            ['value' => 'option_mobile_banking', 'label' => __('Mobile Banking')],
            ['value' => 'option_card_payment', 'label' => __('Mobile Banking & Card Payment')],
      ];
    }
}
