/*browser:true*/
/*global define*/
define(
    [
        'Magento_Checkout/js/view/payment/default',
        'Magento_Checkout/js/action/redirect-on-success',
        'mage/url'
    ],
    function (Component, redirectOnSuccessAction, url) {
        'use strict';
        return Component.extend({
            defaults: {
                template: 'YottaPayIntegration_Payments/payment/form',
            },
            afterPlaceOrder: function () {
                //Reload checkout page with endless loading background when in-app redirect
                function yottapayReloadCheckoutPage() {
                    location.reload(true);
                }
                window.setTimeout(yottapayReloadCheckoutPage, 20000);
                redirectOnSuccessAction.redirectUrl = url.build('yottapay/paymentintent/');
                this.redirectAfterPlaceOrder = true;                
            },
            getCode: function () {
                //Firstly load required data:
                //logo path and welcome loyalty status
                //to set gateway title and logo later
                try {
                    //Set default values
                    this.logoPath = require.toUrl("YottaPayIntegration_Payments/img/logo_mobile_banking.png");
                    this.cardPaymentEnabled = false;
                    //Build request
                    var actionUrl = url.build('rest/all/V1/yottapay/payments/checkout/descriptiontype');
                    const request = new XMLHttpRequest();
                    request.open("GET", actionUrl, false); //sync call required
                    request.send(null);
                    if (request.status === 200) {
                        var checkoutDescriptionType = request.responseText.replaceAll('"', '');
                        switch (checkoutDescriptionType) {
                            case 'option_card_payment':
                                this.logoPath = require.toUrl("YottaPayIntegration_Payments/img/logo_card_payment.png");
                                this.cardPaymentEnabled = true;
                                break;
                            case 'option_card_payment_loyalty':
                                this.logoPath = require.toUrl("YottaPayIntegration_Payments/img/logo_card_payment_loyalty.png");
                                this.cardPaymentEnabled = true;
                                break;
                            case 'option_mobile_banking':
                                this.logoPath = require.toUrl("YottaPayIntegration_Payments/img/logo_mobile_banking.png");
                                this.cardPaymentEnabled = false;
                                break;
                            case 'option_mobile_banking_loyalty':
                                this.logoPath = require.toUrl("YottaPayIntegration_Payments/img/logo_mobile_banking_loyalty.png");
                                this.cardPaymentEnabled = false;
                                break;
                            default:
                                this.logoPath = require.toUrl("YottaPayIntegration_Payments/img/logo_mobile_banking.png");
                                this.cardPaymentEnabled = false;
                                break;
                        }
                    } else {
                        throw 'YottaPay request get_checkout_description_type status code: ' + request.status;
                    }
                } catch (e) {
                    console.log('getCode exception: ' + e);
                }
                return 'yottapay_gateway';
            },
            getCardPaymentEnabled: function () {
                console.log(this.cardPaymentEnabled);
                return this.cardPaymentEnabled;
            },
            getLogoPath: function () {
                console.log(this.logoPath);
                return this.logoPath;
            },
        });
    }
);